Кнопки del.icio.us в FF3

    Я с большим удовольсвием перешёл на Firefox 3 — очень много приятных с точки зрения удобства улучшений.
    Единственная проблема, которую имеет эта версия FF сейчас, — это несовместимость с плагинами написанными для ранних версий и не желание некоторых разработчиков писать обновления своих поделок для бета-релизов.

    Одним из таких, капризных плагинов оказался плагин от сервиса социальных закладок del.icio.us. В службе поддержки так и сказали: пока релиз не выйдет, нового плагина не увидите.

    Ну что-же.

    del.icio.us/help — «кнопки» устанавливаются отсюда (категория bookmarking).
    Есть две версии плагина: старая, устанавливаемая по ссылке «firefox extension» и новая, устанавливаемая по ссылке "*new* firefox bookmarks extension".

    Плагин FF — это, обычно, файл с расширением xpi, который нужно открыть для установки из пункта меню «Файл» или тупо перетащить на окно браузера.
    По формату xpi — это zip-архив с тьмой файлов внутри, обеспечивающих его работоспособность и функциональность.

    Первым шагом скачиваем файлы плагинов для старой или для новой версии на компьютер (правой щелчок мыши по ссылке установки и пункт «сохранить как»), далее открываем, с помощью, например 7Zip и редактируем (F4 в 7Zip) текстовый файл, лежащий в корне архива «install.rdf».
    Нужно изменить строку em:maxVersion=«2.0.0.*» на em:maxVersion=«3.0.0.*».
    Сохраняем изменения в архиве и выполняем инсталляцию.

    Замечания.
    Старая версия устанавливается и работает без каких-либо проблем, новая же капризничает, не выполняет синхронизацию боковой панели. Ходят слухи что проблемы с синхронизацией встречаются и у пользователей FF2. Так ли это — проверять лень, кто знает — отпишитесь.

    Похожие публикации

    Средняя зарплата в IT

    110 000 ₽/мес.
    Средняя зарплата по всем IT-специализациям на основании 8 477 анкет, за 2-ое пол. 2020 года Узнать свою зарплату
    Реклама
    AdBlock похитил этот баннер, но баннеры не зубы — отрастут

    Подробнее

    Комментарии 6

      0
      Make compatible в MR Tech Local Install или Nightly Testers Tools сделают тоже, но проще.
        0
        Признаться не понял предназначения этих вещей. Если вы предлагаете редактировать ими свойства плагина, то это точно не проще: нужно закачивать устанавливать... а здесь просто подправить файл в архиве ручками за 10 сек.
          0
          При установке любого расширения появляется кнопочка Make compatible, все. Нажимаем на нее, и лиса не будет проверять максимальную версию.
          0
          Перешел на firefox3 и все никак не могу установить xpi для WebResearch 2
          (удобный коллектор для сохранения web-страниц вроде Scrapbook) в файле install.rdf менял 3.0, устанавливал MR Tech Local Install(вроде должна делать всё xpi "совместимыми", отключая проверку совместимости) и несмотря на эти заморочки, FF3 отрубает установку с сообщением - «Web Research Extension» не будет установлен, так как он не обеспечивает безопасные обновления.
          Модуль этот я обновлять не собираюсь, как же его всё-таки установить?
            0
            Поменяй в install.rdf maxVersion на 3.0.*
              0
              помогло! спасибо.
              webresearch_for_FF1.5-2.0_v0.98_July_3_2007.xpi установлен в Firefox3 !!!

              ещё надо удалить эту строчку из install.rdf
              em:updateURL>http://www.macropool.com/en/download/webresearch/extensions/update.rdf /"em:update URL

        Только полноправные пользователи могут оставлять комментарии. Войдите, пожалуйста.

        Самое читаемое